Name:		nytrolin
Version:        06.703.11.262_uek_r2_2.6.39_300.28.1
Release:        1
Summary:	RHEL6 Driver Update Program package

Group:		System/Kernel
License:	GPLv2
URL: 		http://www.lsilogic.com
Distribution: 	Seagate Corporation
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.files
Source2:	%{name}.conf
Source3:	nytrolin_set_affinity.sh
Source4:	14-nytro-disk.rules
Source5:        95nytrolin
Source6:        install
Source7:        nytro-block.sh
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	%kernel_module_package_buildreqs

%global kernel_version 2.6.39-300.28.1.el6uek.x86_64
%kernel_module_package -f %{SOURCE1} default debug

%description
Seagate Nytro PCIe HBA drivers

%prep
%setup
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
for flavor in %flavors_to_build; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	make -C %{kernel_source $flavor} M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{name}
for flavor in %flavors_to_build ; do
	make -C %{kernel_source $flavor} modules_install \
		M=$PWD/obj/$flavor
	# Cleanup unnecessary kernel-generated module dependency files.
	find $INSTALL_MOD_PATH/lib/modules -iname 'modules.*' -exec rm {} \;
done

install -m 644 -D %{SOURCE2} $RPM_BUILD_ROOT/etc/depmod.d/%{name}.conf
install -m 544 -D %{SOURCE3} $RPM_BUILD_ROOT/etc/init.d/nytrolin_set_affinity.sh
install -m 444 -D %{SOURCE4} $RPM_BUILD_ROOT/etc/udev/rules.d/14-nytro-disk.rules
install -m 755 -d %{SOURCE5} $RPM_BUILD_ROOT/usr/share/dracut/modules.d/95nytrolin
install -m 755 -D %{SOURCE6} $RPM_BUILD_ROOT/usr/share/dracut/modules.d/95nytrolin/install
install -m 755 -D %{SOURCE7} $RPM_BUILD_ROOT/usr/share/dracut/modules.d/95nytrolin/nytro-block.sh
install -m 444 -D %{SOURCE4} $RPM_BUILD_ROOT/usr/share/dracut/modules.d/95nytrolin/14-nytro-disk.rules

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
